{
  "version": "0.1.0",
  "license": "MIT",
  "main": "dist/index.js",
  "typings": "dist/index.d.ts",
  "files": [
    "dist",
    "src"
  ],
  "engines": {
    "node": ">=10"
  },
  "scripts": {
    "start": "tsdx watch",
    "build": "tsdx build",
    "test": "tsdx test --passWithNoTests",
    "lint": "tsdx lint",
    "prepare": "tsdx build",
    "size": "size-limit",
    "analyze": "size-limit --why",
    "storybook": "start-storybook -p 6006",
    "build-storybook": "build-storybook"
  },
  "peerDependencies": {
    "react": ">=16"
  },
  "husky": {
    "hooks": {
      "pre-commit": "tsdx lint"
    }
  },
  "prettier": {
    "printWidth": 120,
    "semi": true,
    "singleQuote": true,
    "trailingComma": "es5"
  },
  "name": "react",
  "author": "Rafael Ramires Nai",
  "module": "dist/react.esm.js",
  "size-limit": [
    {
      "path": "dist/react.cjs.production.min.js",
      "limit": "10 KB"
    },
    {
      "path": "dist/react.esm.js",
      "limit": "10 KB"
    }
  ],
  "devDependencies": {
    "@babel/core": "^7.17.9",
    "@size-limit/preset-small-lib": "^7.0.8",
    "@storybook/addon-essentials": "^6.4.21",
    "@storybook/addon-info": "^5.3.21",
    "@storybook/addon-links": "^6.4.21",
    "@storybook/addons": "^6.4.21",
    "@storybook/react": "^6.4.21",
    "@types/react": "^18.0.3",
    "@types/react-dom": "^18.0.0",
    "babel-loader": "^8.2.4",
    "husky": "^7.0.4",
    "react": "^18.0.0",
    "react-dom": "^18.0.0",
    "react-is": "^18.0.0",
    "size-limit": "^7.0.8",
    "tsdx": "^0.14.1",
    "tslib": "^2.3.1",
    "typescript": "^4.6.3"
  }
}
